import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { RoughAnnotation } from 'rough-notation/lib/model';
import { RoughNotationService } from './rough-notation.service';
import { RoughAnnotationConfig } from './rough-annotation-config';
import * as i0 from "@angular/core";
export declare class RoughNotationDirective implements OnInit, OnDestroy {
    private hostElement;
    private renderer;
    private service;
    private readonly initialTextColor;
    private _show;
    set roughNotation(value: Partial<RoughAnnotationConfig> | string);
    set show(value: boolean);
    get show(): boolean;
    get instance(): RoughAnnotation;
    annotatedTextColor: string;
    isShowingChange: EventEmitter<boolean>;
    private showStateSubscription;
    constructor(hostElement: ElementRef<HTMLElement>, renderer: Renderer2, service: RoughNotationService);
    ngOnInit(): void;
    private setVisibility;
    toggle(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoughNotationDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RoughNotationDirective, "[roughNotation]", ["roughNotation"], { "roughNotation": "roughNotation"; "show": "show"; "instance": "instance"; "annotatedTextColor": "annotatedTextColor"; }, { "isShowingChange": "isShowingChange"; }, never>;
}
